---
apiVersion: argoproj.io/v1alpha1
kind: ApplicationSet
metadata:
  name: ml-app
  namespace: argocd
spec:
  generators:
  - clusters:
      selector:
        matchLabels:
          ml: "true"
  template:
    metadata:
      name: '{{name}}-ml-app'
      labels:
        area: "ml"
        type: "service"
    spec:
      project: default
      source:
        repoURL: https://gitlab.cern.ch/rbritoda/ml-app.git
        targetRevision: master
        path: '.'
        plugin: {}
      destination:
        server: '{{server}}'
        namespace: ml
      syncPolicy:
        automated:
          allowEmpty: true
          prune: true
          selfHeal: true
        syncOptions:
          - CreateNamespace=true
